﻿namespace UltraTabbedMdiManagerButtons
{
    using System;
    using System.Drawing;
    using System.Windows.Forms;

    public partial class Form1 : Form
    {
        private Image scrollButtonImage = null;
        public Form1()
        {
            this.InitializeComponent();

            this.IsMdiContainer = true;
            this.ultraTabbedMdiManager1.DrawFilter = new DF(this.ScrollButtonImage);
            this.ultraTabbedMdiManager1.UseOsThemes = Infragistics.Win.DefaultableBoolean.False;
            this.Load += Dete_Load;
        }

        public Image ScrollButtonImage
        {
            get
            {
                if(this.scrollButtonImage == null)
                {
                    this.scrollButtonImage = Image.FromFile(@"../../imgs/ig.png");
                }

                return this.scrollButtonImage;
            }
        }

        private void Dete_Load(object sender, EventArgs e)
        {
            for(int i = 0; i < 30; i++)
            {
                var dete = new Child();
                dete.Text = "Child Form " + (i + 1);
                dete.MdiParent = this;
                dete.Show();
            }
        }
    }
}
